#
# spec file for package ibp (Version 0.20)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

BuildRequires: xorg-x11-devel ncurses-devel 

Name:         ibp
License:      GPL-2.0
Group:        Productivity/Hamradio/Other
Autoreqprov:  on
Version:      0.21
Release:      lp152.6.2
Source0:      %{name}-%{version}.tgz
Patch:        %{name}-%{version}.dif
URL:          http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Monitoring the International Beacon Project

%description
This program continuously shows which beacon of the International
Beacon Project (on the HF bands from 14 through 28 MHz) is currently
transmitting. On X11 systems, it can also show a sunclock-like map with
the short and long paths to the active beacons.



Authors:
--------
    Pieter-Tjerk de Boer, PA3FWM <pa3fwm@amsat.org>

%debug_package
%prep
%setup
%patch

%build
xmkmf
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 ibp.1 $RPM_BUILD_ROOT/usr/share/man/man1/
 

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc COPYING README.SuSE
%doc %{_mandir}/man1/ibp.1.gz
%if 0%{?suse_version} >= 1020
/usr/bin/ibp
%endif
# hack for different install location!
%if 0%{?suse_version} <= 1010
/usr/X11R6/bin/ibp
%endif

%changelog -n ibp
* Thu Jun 07 2012 - dl8fcl@darc.de
- fix for openSUSE_12.2, License tag updated
* Tue Feb 22 2011 - dl8fcl@darc.de
- fix for 11.4
* Mon Jun 1 2008 - dg7gt@online.de
- expansion error fixes for openSUSE 11
* Thu Feb 22 2007 - dl9pf@gmx.de
- import into buildservice
* Sat Dec 16 2006 - dg7gt@online.de
- updated to version 0.21
* Sun Jan 11 2004 - adrian@suse.de
- fix build as user
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jun 25 2001 - jreuter@suse.de
- GCC 3.0 defines printf() as a macro. Great.
  Splitted one large printf() into multiple smaller to let it compile
  again with gcc 3.0
* Mon Jun 25 2001 - jreuter@suse.de
- fixed Imakefile
* Fri Jan 05 2001 - ka@suse.de
- initial release 0.20
